GNU bug report logs - #6685
23.2; Discards control characters during boot.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: trentbuck@HIDDEN (Trent W. Buck); dated Wed, 21 Jul 2010 02:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 14 Sep 2016 14:46:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 10:46:58 2016
Received: from localhost ([127.0.0.1]:59652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bkBSk-0006lD-10
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2016 10:46:58 -0400
Received: from mail-pa0-f44.google.com ([209.85.220.44]:36339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <trentbuck@HIDDEN>) id 1bkBSi-0006kz-TS
 for 6685 <at> debbugs.gnu.org; Wed, 14 Sep 2016 10:46:57 -0400
Received: by mail-pa0-f44.google.com with SMTP id id6so6101689pad.3
 for <6685 <at> debbugs.gnu.org>; Wed, 14 Sep 2016 07:46:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=BtHgWcNNovcTJ89kk+jI06A7fdfsLY2RAv1ZmSAXMqs=;
 b=FhJ8OzdptSt4CpFTC41LodXl+4E8f+VlotS32XJFio2yolKA8t3kufCX8GDsH3lwf3
 JqbS3Wpc+EjTrgfkBov1oWaZZ6FbUo1k/zjegYQFWx2AfDWIcchwDGjSS9GnEWMB3KjI
 kX8d+KVWLms/5HAcjWrc+265SoaYx0K05+SlwuQMxtaHQaiKedZS0FwjLRFeQ1ohdorO
 OlloZtQGcOVjVYWxiY1trsdh0wN3jBr9t08tH0GP8FHpJI80+RrkeOJZEMcuI8lozt+m
 uaKWqKVLy74qv6ySP1UGv/Fu/VNwkZ4w/A3csHmtY+5VZb1i/LP8JSt19xlutD/QBGmQ
 I3cg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:date:from:to:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=BtHgWcNNovcTJ89kk+jI06A7fdfsLY2RAv1ZmSAXMqs=;
 b=arUMbSG1UiDjkFJtxMQOxSAuYvU8ndkhuMKSohO4K9Z7TDE7Yuceg/1iwkc9y09+T/
 i3XzP6Ul0KtI6QUCChOCglilpFHwuW0YNO9hny9IP7a6Ma3GmEznNA1DzWlRt4s7AbLb
 LZVNsFY2+xKS4/tyVYKGUme1zNswLMcYgUDw7cplro30FOVOGbksltWLG2I0grdW9eag
 pYBDnf7ckBLY+8osgVHYnXVj+69ohnwNIef0mf6B+d1fT2nln7oTKkaS8ItvrP0bqUPC
 2wOHn6LA0go8ofTzuqIliti9M3qW33mPqz5pVViESo9tA7Ma9N8gZ2SFjWhI0ERlmyHt
 yKYA==
X-Gm-Message-State: AE9vXwNDAQ1fkh3lRKTF6dkhMkFYZkKLPUaReMWH2OiAgDJZMrlMezzQKuVQSHatbNmqNg==
X-Received: by 10.66.83.138 with SMTP id q10mr5221484pay.54.1473864410617;
 Wed, 14 Sep 2016 07:46:50 -0700 (PDT)
Received: from localhost (ppp118-209-71-153.bras1.mel11.internode.on.net.
 [118.209.71.153])
 by smtp.gmail.com with ESMTPSA id n3sm6232714paf.13.2016.09.14.07.46.47
 for <6685 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 14 Sep 2016 07:46:50 -0700 (PDT)
Date: Thu, 15 Sep 2016 00:46:38 +1000
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: 6685 <at> debbugs.gnu.org
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
Message-ID: <20160914144636.GA2221@frey>
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN> <83r38u8irs.fsf@HIDDEN>
 <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
 <83sht88e99.fsf@HIDDEN> <m2k2ej8540.fsf@HIDDEN>
 <83bmzubgaq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83bmzubgaq.fsf@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 6685
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii wrote:
> > From: Andrew Hyatt <ahyatt@HIDDEN>
> > Cc: trentbuck@HIDDEN,  6685 <at> debbugs.gnu.org
> > Date: Sat, 10 Sep 2016 23:53:03 -0400
> >
> > Yes, you are correct - I must have had a typo.  When I tried it again
> > today, it works as you describe, and I was able to reproduce the
> > original bug.  Thanks for the help.
>
> The original bug is probably due to the initial queries we make to see
> if xterm supports some advanced features.  Can you see if this is
> indeed the culprit?

I tried adding

    (setq xterm-extra-capabilities nil)

to my ~/.emacs and as at

    GNU Emacs 24.4.1 (x86_64-pc-linux-gnu) of 2014-10-26 on trouble,
    modified by Debian

...I still saw that M-x turned into just x if I typed it while Emacs
was starting (using ALTERNATE_EDITOR= emacsclient -c -t).

I tried using *just* that line as my .emacs,
but emacs started too fast for me to type the M-x. :-)

I don't have a 25.x handy to test with - since 24.4 has
xterm-extra-capabilities I hope it's new enough to be a useful test.

It definitely doesn't happen with just "emacs" instead of
"ALTERNATE_EDITOR= emacsclient -c -t".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 11 Sep 2016 15:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 11:35:35 2016
Received: from localhost ([127.0.0.1]:56569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj6n9-0001M4-DT
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 11:35:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bj6n7-0001Lp-LL
 for 6685 <at> debbugs.gnu.org; Sun, 11 Sep 2016 11:35:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bj6mz-0005PV-BS
 for 6685 <at> debbugs.gnu.org; Sun, 11 Sep 2016 11:35:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.2 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49269)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bj6mz-0005PP-7t; Sun, 11 Sep 2016 11:35:25 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1137
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bj6my-0004tP-C9; Sun, 11 Sep 2016 11:35:24 -0400
Date: Sun, 11 Sep 2016 18:35:25 +0300
Message-Id: <83bmzubgaq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
In-reply-to: <m2k2ej8540.fsf@HIDDEN> (message from Andrew
 Hyatt on Sat, 10 Sep 2016 23:53:03 -0400)
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN> <83r38u8irs.fsf@HIDDEN>
 <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
 <83sht88e99.fsf@HIDDEN> <m2k2ej8540.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.2 (-------)
X-Debbugs-Envelope-To: 6685
Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.2 (-------)

> From: Andrew Hyatt <ahyatt@HIDDEN>
> Cc: trentbuck@HIDDEN,  6685 <at> debbugs.gnu.org
> Date: Sat, 10 Sep 2016 23:53:03 -0400
> 
> Yes, you are correct - I must have had a typo.  When I tried it again
> today, it works as you describe, and I was able to reproduce the
> original bug.  Thanks for the help.

The original bug is probably due to the initial queries we make to see
if xterm supports some advanced features.  Can you see if this is
indeed the culprit?

> I still think the manual seems to say this shouldn't be expected to
> work, which is odd.

Not sure which part you think says that, the documentation sounds
correct to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 11 Sep 2016 03:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 23:53:14 2016
Received: from localhost ([127.0.0.1]:55881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bivpS-0006N4-BN
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2016 23:53:14 -0400
Received: from mail-qk0-f180.google.com ([209.85.220.180]:36687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bivpQ-0006Mr-W3
 for 6685 <at> debbugs.gnu.org; Sat, 10 Sep 2016 23:53:13 -0400
Received: by mail-qk0-f180.google.com with SMTP id z190so104062272qkc.3
 for <6685 <at> debbugs.gnu.org>; Sat, 10 Sep 2016 20:53:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:message-id:user-agent
 :mime-version; bh=SAUNgb9+pa2VUvr8OPagsFf1hKdJB67Ypt+TQAsHTog=;
 b=oIoMNQqbwWraqH3bbkLgtzuQKF6pduQtKTbPKFfo3TtkfwLo/u25RzbjhnzutgFK1P
 KKwouC5tEdWRG/NpDjmKfuIpxxX7kjOGF8m/p9kF4Otpe73hx2JfMa1bGTIFNIjp/Rh6
 TyIInc3yZYI/IU6nWPsM6VCwQlYPJ5Lzl28sJcQssjOnY0uMMWlMxOSwXx0K4l+NmOC6
 FbDuaFNr14dfCCmEpIxRL/c1R/+rnHUWlYUoxzpY9UT1HE5y++Uy7CZSb+wbzywEaY7J
 7NiKDJ1a5o0NWCvhgQBX8VX0L9I2oDmNP0bm9H2fOldBNubgXPtFye0zyf7AFjWzUPUk
 nKTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :user-agent:mime-version;
 bh=SAUNgb9+pa2VUvr8OPagsFf1hKdJB67Ypt+TQAsHTog=;
 b=WCKkTTO24oPN8+zcTeZ5xb47f5V3YuPeHRm1dY6E0ZuNnu4rUJccoim/r3Te4Aid1L
 Ba3Z0urqUuYylABZY1U4X0J47J+PUsTpDgP8Tt5eeOessqtPMnEJAHvA8dc0zvGb2pDN
 Da1SqBk/xD1qg45bBQTD8zWHs5MhtMwfUiH8DNVtc++EVyphods1aiUlPUFZ0/nwFvck
 7dGsPgidJauyzzUAt77/nbmF7cC5W0eXuLBY0aa9svGQmd1dim6s0dX+1DURrdY/DjJM
 pXwGi8NWxXO4s5P0bcNB617n4dj7n8lEWl/wq6rK5Xg4TSNEgRcce6ZpeBFs2s2Yc7eV
 jb9Q==
X-Gm-Message-State: AE9vXwPnE14p40xgAqnlJpElaL/pGTEgP3OK1gsMRKsvLL1johTjnbLok68lAvwf8Al3ig==
X-Received: by 10.55.24.194 with SMTP id 63mr13047873qky.30.1473565987281;
 Sat, 10 Sep 2016 20:53:07 -0700 (PDT)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id 9sm6643616qkc.0.2016.09.10.20.53.04
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 10 Sep 2016 20:53:04 -0700 (PDT)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN> <83r38u8irs.fsf@HIDDEN>
 <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
 <83sht88e99.fsf@HIDDEN>
Date: Sat, 10 Sep 2016 23:53:03 -0400
Message-ID: <m2k2ej8540.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 6685
Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrew Hyatt <ahyatt@HIDDEN>
>> Date: Fri, 09 Sep 2016 20:32:57 +0000
>> Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
>> 
>>  > I was trying to reproduce this in Emacs 25, but emacsclient will not
>>  > start up a new emacs instance with emacsclient. According to the
>>  > documentation I have on emacsclient on using the alternative editor
>>  > flag:
>>  >
>>  > If the value of EDITOR is the empty string, run "emacs --daemon" to
>>  > start Emacs in daemon mode, and try to connect to it.
>>  >
>>  > So I can't reproduce this issue anymore. Let me know if I'm missing
>>  > something, please.
>> 
>>  Sorry, I don't understand what you are saying. Starting the daemon
>>  with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
>>  no longer works, although the documentation still says it should? It
>>  certainly works for me, if I understood correctly what you described.
>> 
>> It doesn't work for me for some reason, and the documentation seems to imply
>> that it shouldn't work. If using
>> ALTERNATIVE_EDITOR="" started emacs in daemon mode, why would the
>> documentation tell the user to
>> run the "emacs --daemon" manually? Instead, what I get when I don't have an
>> emacs in daemon mode, is just
>> emacsclient telling me there's no emacs daemon running.
>> 
>> Judging by your response, I feel I must be misunderstanding something, but I
>> don't know what.
>
> What happens if you try this command on your system?  That is, if you
> type
>
>   ALTERNATE_EDITOR='' emacsclient -t -c
>
> What I see on a typical GNU/Linux system is this:
>
>   /home/e/eliz/emacs-current/lib-src/emacsclient: can't find socket; have you
> started the server?
>   To start the server in Emacs, type "M-x server-start".
>
>   Warning: due to a long standing Gtk+ bug
>   http://bugzilla.gnome.org/show_bug.cgi?id=85715
>   Emacs might crash when run in daemon mode and the X11 connection is
> unexpectedly lost.
>   Using an Emacs configured with --with-x-toolkit=lucid does not have this
> problem.
>   ("emacs")
>   Loading 00debian-vars...
>   [More packages loading from the site-init file...]
>   Starting Emacs daemon.
>   Restarting server
>   Emacs daemon should have started, trying to connect again
>
> and then I see an Emacs frame (in text mode in this case, since -t was
> used) open.  As you see, after warning me about no daemon running,
> emacsclient starts a new daemon, then attempts to reconnect to it.
>
> What happens if you try that?

Yes, you are correct - I must have had a typo.  When I tried it again
today, it works as you describe, and I was able to reproduce the
original bug.  Thanks for the help.

I still think the manual seems to say this shouldn't be expected to
work, which is odd.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 10 Sep 2016 06:23:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 02:23:27 2016
Received: from localhost ([127.0.0.1]:55073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bibhH-00089F-HR
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2016 02:23:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58201)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bibhG-000890-3f
 for 6685 <at> debbugs.gnu.org; Sat, 10 Sep 2016 02:23:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bibh6-0000Rg-Vl
 for 6685 <at> debbugs.gnu.org; Sat, 10 Sep 2016 02:23:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56322)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bibh6-0000Rc-ST; Sat, 10 Sep 2016 02:23:16 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1767
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bibh5-00019M-Lu; Sat, 10 Sep 2016 02:23:16 -0400
Date: Sat, 10 Sep 2016 09:23:14 +0300
Message-Id: <83sht88e99.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
In-reply-to: <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
 (message from Andrew Hyatt on Fri, 09 Sep 2016 20:32:57 +0000)
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN> <83r38u8irs.fsf@HIDDEN>
 <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 6685
Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Andrew Hyatt <ahyatt@HIDDEN>
> Date: Fri, 09 Sep 2016 20:32:57 +0000
> Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
> 
>  > I was trying to reproduce this in Emacs 25, but emacsclient will not
>  > start up a new emacs instance with emacsclient. According to the
>  > documentation I have on emacsclient on using the alternative editor
>  > flag:
>  >
>  > If the value of EDITOR is the empty string, run "emacs --daemon" to
>  > start Emacs in daemon mode, and try to connect to it.
>  >
>  > So I can't reproduce this issue anymore. Let me know if I'm missing
>  > something, please.
> 
>  Sorry, I don't understand what you are saying. Starting the daemon
>  with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
>  no longer works, although the documentation still says it should? It
>  certainly works for me, if I understood correctly what you described.
> 
> It doesn't work for me for some reason, and the documentation seems to imply that it shouldn't work. If using
> ALTERNATIVE_EDITOR="" started emacs in daemon mode, why would the documentation tell the user to
> run the "emacs --daemon" manually? Instead, what I get when I don't have an emacs in daemon mode, is just
> emacsclient telling me there's no emacs daemon running.
> 
> Judging by your response, I feel I must be misunderstanding something, but I don't know what.

What happens if you try this command on your system?  That is, if you
type

  ALTERNATE_EDITOR='' emacsclient -t -c

What I see on a typical GNU/Linux system is this:

  /home/e/eliz/emacs-current/lib-src/emacsclient: can't find socket; have you started the server?
  To start the server in Emacs, type "M-x server-start".

  Warning: due to a long standing Gtk+ bug
  http://bugzilla.gnome.org/show_bug.cgi?id=85715
  Emacs might crash when run in daemon mode and the X11 connection is unexpectedly lost.
  Using an Emacs configured with --with-x-toolkit=lucid does not have this problem.
  ("emacs")
  Loading 00debian-vars...
  [More packages loading from the site-init file...]
  Starting Emacs daemon.
  Restarting server
  Emacs daemon should have started, trying to connect again

and then I see an Emacs frame (in text mode in this case, since -t was
used) open.  As you see, after warning me about no daemon running,
emacsclient starts a new daemon, then attempts to reconnect to it.

What happens if you try that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 9 Sep 2016 20:33:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 16:33:17 2016
Received: from localhost ([127.0.0.1]:54916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1biSU8-0000a7-OG
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2016 16:33:16 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:36119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1biSU6-0000Zt-VH
 for 6685 <at> debbugs.gnu.org; Fri, 09 Sep 2016 16:33:15 -0400
Received: by mail-wm0-f54.google.com with SMTP id b187so50021592wme.1
 for <6685 <at> debbugs.gnu.org>; Fri, 09 Sep 2016 13:33:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=sJfGkIDC+mt7fGuSoySZRbrDPlvukEnml4lgm53YHbM=;
 b=tn7anxWJ/5k6gI1VkUxF+YpST6han723ZpsVipfKUj/7yeZ6yVoO/Es8Vlm7G3/FNq
 kqZirQbUccPxUknwPbObIdfQJEcvV/rzI9tdQ/f7B4+270U6I4QNtIDrbkhqTe3R+JL6
 +dXTDQXy/a728Xy4kdTqAaqqLsSl6Mc0Bb69dzRk9S7flWb0eVxVMmfqAvzot3I9rD6N
 J9pvoLOqX0QApxEAfOeJxpUO00ZCZnSQ3sMhGLtpkRBnsxTo/4x1tUxEbfxOKErA+J9Q
 G3mpviMwnxNUXIIE5XpBOyQgbAZ+jlE8frxeiGCQEaYa3cMms0kLkPNeozMT1xT9ub93
 kYgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=sJfGkIDC+mt7fGuSoySZRbrDPlvukEnml4lgm53YHbM=;
 b=IWrsCU0EU+erxMgnQlvYnX4AD8dES2cTosnAlViuaLTU70MujuX0KWdZk8sp0DYCXC
 hW+2kjhXD06JdJjOEkQW8bNhWYUa+ptPzT1zoc4nX7n/Q655GsZ5ZWd6VYeQRKY83e0t
 z46ttSU0Tgk/ITKX4QlBZoIqPoaRt82lzV1LsVM+wDG/6utjcwQs6PRRcuj3nDm/MtI0
 SWFn/sEMKZWOrM4zCCdDRGtNsWCa3omUK9leIyFa7i4gyx0+yKkM9vJpESHTxQkiw47x
 Qpsz+SBdbHmlB4j79d4y0g7ikuqIl7GvNrPIfp/+Rq+0M8Q1ORYLnDEcepWwZC8SA1rN
 7GLw==
X-Gm-Message-State: AE9vXwMzM2W+qMIL6jE5wd4EXOr7kWUVhkvpu19h1WwXCCaC1BB2AX8QJAnW9ZNhOdrU0yhYIiX7dzt9isek/Q==
X-Received: by 10.194.200.36 with SMTP id jp4mr5458096wjc.26.1473453189173;
 Fri, 09 Sep 2016 13:33:09 -0700 (PDT)
MIME-Version: 1.0
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN> <83r38u8irs.fsf@HIDDEN>
In-Reply-To: <83r38u8irs.fsf@HIDDEN>
From: Andrew Hyatt <ahyatt@HIDDEN>
Date: Fri, 09 Sep 2016 20:32:57 +0000
Message-ID: <CAM6wYYKBvh_G1AWYvVmxGK-QX7QpJ8kEnbKigKe2-XSzbSnkYw@HIDDEN>
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b8743f6ef1a7d053c190db1
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Sep 8,
 2016 at 12:21 PM Eli Zaretskii wrote: > > From:
 Andrew Hyatt > > Date: Thu,
 08 Sep 2016 01:08:55 -0400 > > Cc: 6685 <at> debbugs.gnu.org
 > > > > > > I was trying to reproduce this in Emacs 25, but emacsclient will
 not > > start up a new emacs instance with emacsclient. According to the
 > > documentation I have on emacsclient on using the alternative editor >
 > flag: > > > > If the value of EDITOR is the empty string,
 run "emacs --daemon"
 to > > start Emacs in daemon mode, and try to connect to it. > > > > So I
 can't reproduce this issue anymore. Let me know if I'm missing > > something, 
 please. > > Sorry, I don't understand what you are saying. Starting the daemon
 > with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it >
 no longer works,
 although the documentation still says it should? It > certainly
 works for me, if I understood correctly what you described. > [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [74.125.82.54 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [74.125.82.54 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (ahyatt[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [74.125.82.54 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 6685
Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Sep 8, 2016 at 12:21 PM Eli Zaretskii wrote: > > From:
    Andrew Hyatt > > Date: Thu, 08 Sep 2016 01:08:55 -0400 > > Cc: 6685 <at> debbugs.gnu.org
    > > > > > > I was trying to reproduce this in Emacs 25, but emacsclient will
    not > > start up a new emacs instance with emacsclient. According to the
   > > documentation I have on emacsclient on using the alternative editor >
   > flag: > > > > If the value of EDITOR is the empty string, run "emacs --daemon"
    to > > start Emacs in daemon mode, and try to connect to it. > > > > So I
    can't reproduce this issue anymore. Let me know if I'm missing > > something,
    please. > > Sorry, I don't understand what you are saying. Starting the daemon
    > with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it >
    no longer works, although the documentation still says it should? It > certainly
    works for me, if I understood correctly what you described. > [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [74.125.82.54 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [74.125.82.54 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.54 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (ahyatt[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--047d7b8743f6ef1a7d053c190db1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

On Thu, Sep 8, 2016 at 12:21 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Andrew Hyatt <ahyatt@HIDDEN>
> > Date: Thu, 08 Sep 2016 01:08:55 -0400
> > Cc: 6685 <at> debbugs.gnu.org
> >
> >
> > I was trying to reproduce this in Emacs 25, but emacsclient will not
> > start up a new emacs instance with emacsclient. According to the
> > documentation I have on emacsclient on using the alternative editor
> > flag:
> >
> > If the value of EDITOR is the empty string, run "emacs --daemon" to
> > start Emacs in daemon mode, and try to connect to it.
> >
> > So I can't reproduce this issue anymore.  Let me know if I'm missing
> > something, please.
>
> Sorry, I don't understand what you are saying.  Starting the daemon
> with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
> no longer works, although the documentation still says it should?  It
> certainly works for me, if I understood correctly what you described.
>

It doesn't work for me for some reason, and the documentation seems to
imply that it shouldn't work.  If using ALTERNATIVE_EDITOR="" started emacs
in daemon mode, why would the documentation tell the user to run the "emacs
--daemon" manually?  Instead, what I get when I don't have an emacs in
daemon mode, is just emacsclient telling me there's no emacs daemon running.

Judging by your response, I feel I must be misunderstanding something, but
I don't know what.

--047d7b8743f6ef1a7d053c190db1
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 8bit

<div dir="ltr"><div class="gmail_quote"><div dir="ltr">On Thu, Sep 8, 2016 at 12:21 PM Eli Zaretskii &lt;<a href="mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Andrew Hyatt &lt;<a href="mailto:ahyatt@HIDDEN" class="gmail_msg" target="_blank">ahyatt@HIDDEN</a>&gt;<br class="gmail_msg">
&gt; Date: Thu, 08 Sep 2016 01:08:55 -0400<br class="gmail_msg">
&gt; Cc: <a href="mailto:6685 <at> debbugs.gnu.org" class="gmail_msg" target="_blank">6685 <at> debbugs.gnu.org</a><br class="gmail_msg">
&gt;<br class="gmail_msg">
&gt;<br class="gmail_msg">
&gt; I was trying to reproduce this in Emacs 25, but emacsclient will not<br class="gmail_msg">
&gt; start up a new emacs instance with emacsclient. According to the<br class="gmail_msg">
&gt; documentation I have on emacsclient on using the alternative editor<br class="gmail_msg">
&gt; flag:<br class="gmail_msg">
&gt;<br class="gmail_msg">
&gt; If the value of EDITOR is the empty string, run &quot;emacs --daemon&quot; to<br class="gmail_msg">
&gt; start Emacs in daemon mode, and try to connect to it.<br class="gmail_msg">
&gt;<br class="gmail_msg">
&gt; So I can&#39;t reproduce this issue anymore.  Let me know if I&#39;m missing<br class="gmail_msg">
&gt; something, please.<br class="gmail_msg">
<br class="gmail_msg">
Sorry, I don&#39;t understand what you are saying.  Starting the daemon<br class="gmail_msg">
with ALTERNATIVE_EDITOR=&quot;&quot; was part of the recipe; you seem to say it<br class="gmail_msg">
no longer works, although the documentation still says it should?  It<br class="gmail_msg">
certainly works for me, if I understood correctly what you described.<br class="gmail_msg"></blockquote><div><br></div><div>It doesn&#39;t work for me for some reason, and the documentation seems to imply that it shouldn&#39;t work.  If using ALTERNATIVE_EDITOR=&quot;&quot; started emacs in daemon mode, why would the documentation tell the user to run the &quot;emacs --daemon&quot; manually?  Instead, what I get when I don&#39;t have an emacs in daemon mode, is just emacsclient telling me there&#39;s no emacs daemon running.</div><div><br></div><div>Judging by your response, I feel I must be misunderstanding something, but I don&#39;t know what.</div><div> </div></div></div>

--047d7b8743f6ef1a7d053c190db1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 8 Sep 2016 16:21:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 12:21:47 2016
Received: from localhost ([127.0.0.1]:53805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bi25D-0006rc-Em
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 12:21:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bi25C-0006rQ-Pp
 for 6685 <at> debbugs.gnu.org; Thu, 08 Sep 2016 12:21:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bi253-00059i-NW
 for 6685 <at> debbugs.gnu.org; Thu, 08 Sep 2016 12:21:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.3 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60099)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bi253-00059d-KZ; Thu, 08 Sep 2016 12:21:37 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3246
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bi250-0001Vv-BN; Thu, 08 Sep 2016 12:21:36 -0400
Date: Thu, 08 Sep 2016 19:21:11 +0300
Message-Id: <83r38u8irs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
In-reply-to: <m2poofrna0.fsf@HIDDEN> (message from Andrew
 Hyatt on Thu, 08 Sep 2016 01:08:55 -0400)
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
 <m2poofrna0.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 6685
Cc: trentbuck@HIDDEN, 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Andrew Hyatt <ahyatt@HIDDEN>
> Date: Thu, 08 Sep 2016 01:08:55 -0400
> Cc: 6685 <at> debbugs.gnu.org
> 
> 
> I was trying to reproduce this in Emacs 25, but emacsclient will not
> start up a new emacs instance with emacsclient. According to the
> documentation I have on emacsclient on using the alternative editor
> flag:
> 
> If the value of EDITOR is the empty string, run "emacs --daemon" to
> start Emacs in daemon mode, and try to connect to it.
> 
> So I can't reproduce this issue anymore.  Let me know if I'm missing
> something, please.

Sorry, I don't understand what you are saying.  Starting the daemon
with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
no longer works, although the documentation still says it should?  It
certainly works for me, if I understood correctly what you described.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 8 Sep 2016 05:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 01:09:12 2016
Received: from localhost ([127.0.0.1]:53104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bhraK-0002hP-4H
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 01:09:12 -0400
Received: from mail-qk0-f174.google.com ([209.85.220.174]:33449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bhraI-0002hD-OX
 for 6685 <at> debbugs.gnu.org; Thu, 08 Sep 2016 01:09:11 -0400
Received: by mail-qk0-f174.google.com with SMTP id w204so33508790qka.0
 for <6685 <at> debbugs.gnu.org>; Wed, 07 Sep 2016 22:09:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=w20f7yWD/SrQlGgrQbHuyMdcf/UdsXQzODcH2kLGd3w=;
 b=Yyo9ddx2A2lXCgSb42/8mBKUKZjnK/7bi/j1DMbrus8NXrMrcvWbDhzcsh1+yd/lzl
 eJY5dEFGatBBAvonDsPDC1CzLr7OazePX+0eveGMizm0lt11RUdp13lt7WRCGKcITYBR
 af5uIBk3BYvP7Jivg3aSB2sNeKBfOl7+vZuQyGBEV9288jns5NXQSlrevW550FVJudGo
 xrvXmhPBJ2R0MK8TfuZLmKc543LoaYQ/ajhzAjlJD3FrUwoiSkwiK+sP4p+gkH9zhZZd
 OGRslKqAJCkqGZurBGW61gfqqBGj5jmHvRpoAlg+liqs9oxEKnrctYCySNuxgqQ3PM+r
 mUaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=w20f7yWD/SrQlGgrQbHuyMdcf/UdsXQzODcH2kLGd3w=;
 b=Myez07DpmsZJesP83yt5T9z1BpjhVHOu26j4oB6TLtYulpqXe7u0PaMRvq9wX8VIcW
 Myw4JYkjVKQNPi/zbE85oCab3kap8eacFP0VfTKZXsN6vb0EKFZnTnhlg47KdVYs8P5A
 kJoBdportTDVCpTuUz+h0BBRHWXKX92+u7BAxmylEfv80bQ9FNzBpkjkZdBciOtVmL03
 tcjW1KBrkhxzqQ7N0Mx/rl9yZ8/IyV5Tmx7jz3qr3fVBvOAOaza9JEXKf9vzAfcw43p+
 VDttzdGh3hVheMO5sUPxmzo77CSZW/HL7fvA4QgpBKxJFNwMXn9vU1fxoBkzRpraxY1O
 D1tg==
X-Gm-Message-State: AE9vXwPZJIHgpvrj3so5jo3EzEW+JLi5BCBWr94sJz3V4MH7fO6fwfOOJnp4YVByrUFhvA==
X-Received: by 10.55.166.81 with SMTP id p78mr1341687qke.18.1473311345263;
 Wed, 07 Sep 2016 22:09:05 -0700 (PDT)
Received: from Andrews-MacBook-Pro.local (cpe-74-73-128-199.nyc.res.rr.com.
 [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id z52sm12564851qta.40.2016.09.07.22.09.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 07 Sep 2016 22:09:02 -0700 (PDT)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: trentbuck@HIDDEN (Trent W. Buck)
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
Date: Thu, 08 Sep 2016 01:08:55 -0400
In-Reply-To: <87bpa160pk.fsf@HIDDEN> (Trent W. Buck's message of "Wed, 21
 Jul 2010 12:13:59 +1000")
Message-ID: <m2poofrna0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 6685
Cc: 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


I was trying to reproduce this in Emacs 25, but emacsclient will not
start up a new emacs instance with emacsclient. According to the
documentation I have on emacsclient on using the alternative editor
flag:

If the value of EDITOR is the empty string, run "emacs --daemon" to
start Emacs in daemon mode, and try to connect to it.

So I can't reproduce this issue anymore.  Let me know if I'm missing
something, please.

trentbuck@HIDDEN (Trent W. Buck) writes:

> I start emacs with a wrapper script which boils down to
>
>     ALTERNATIVE_EDITOR="" emacsclient -c -t
>
> In the past (23.1 or so), I could start emacs that way, and while the
> daemon was loading in the background, I could type
>
>     M-x irc C-m M-x gnus C-m
>
> and when the daemon finished loading, the IRC and GNUS functions would
> run.  Now, what happens is that I get
>
>     xircxgnus
>
> appended to *scratch*.  It seems pretty clear to me that Emacs has
> started discarding control characters (^[ and ^M in my case).
>
> If this change was an attempt to fix a bug, it has actually fixed a
> feature (for me), since I now have to wait a couple of seconds for the
> frame to render before I can reliably start issuing commands.
>
> Note: I haven't reproduce this with --quick, because that starts too
> fast and in any case I don't know how to make emacsclient -A='' pass -Q
> to it's internal emacs --daemon invocation.
>
> In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu)
>  of 2010-05-16 on barber, modified by Debian
> configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.2/leim' '--with-x=no' '--without-gconf' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: C
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_AU.utf8
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Fundamental
>
> Minor modes in effect:
>   xterm-mouse-mode: t
>   ido-everywhere: t
>   savehist-mode: t
>   icomplete-mode: t
>   partial-completion-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> t SPC w h e r e SPC ESC q SPC ESC O A e ESC O B ESC 
> q SPC s t a g e 1 SPC c a n ' t SPC f i n d SPC s t 
> a g e 2 . ESC b ESC b ESC b ( DEL ESC [ 4 ~ SPC SPC 
> S i g h . ESC O C ESC O B C-@ ESC O B ESC O B ESC O 
> B ESC O B ESC O B ESC O B ESC O B C-w C-@ ESC O B ESC 
> O B ESC O B ESC O B ESC O B ESC O A C-w C-@ ESC O B 
> ESC O B ESC O B ESC O B C-g C-_ C-x C-x C-x C-x C-w 
> C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
> C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
> O B C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B 
> ESC O B ESC O B ESC O B ESC O B C-x C-x ESC O A C-w 
> DEL C-x C-s RET RET ESC O B ESC O B DEL DEL DEL C-x 
> C-s ESC < ESC % SPC > RET > RET ! ESC O B DEL ESC O 
> A ESC O A ESC O A ESC O A ESC O A ESC [ 1 ~ RET ESC 
> q ESC O A C-d ESC > C-x C-s C-x C-s ESC O A ESC q C-x 
> C-s C-x C-c q y ESC x r e p o r t SPC e m a c s SPC 
> b u g RET
>
> Recent messages:
> Mark set [2 times]
> Replaced 5 occurrences
> Mark set
> Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
> Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
> (No changes need to be saved)
> Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
> Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
> Are you sure you want to quit reading news? (y or n) 
> (No changes need to be saved)
>
> Load-path shadows:
> /usr/share/emacs/site-lisp/haskell-mode/inf-haskell hides /usr/share/emacs/23.2/site-lisp/haskell-mode/inf-haskell
> /usr/share/emacs/site-lisp/haskell-mode/haskell-site-file hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-site-file
> /usr/share/emacs/site-lisp/haskell-mode/haskell-simple-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-simple-indent
> /usr/share/emacs/site-lisp/haskell-mode/haskell-mode hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-mode
> /usr/share/emacs/site-lisp/haskell-mode/haskell-indentation hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indentation
> /usr/share/emacs/site-lisp/haskell-mode/haskell-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indent
> /usr/share/emacs/site-lisp/haskell-mode/haskell-hugs hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-hugs
> /usr/share/emacs/site-lisp/haskell-mode/haskell-ghci hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-ghci
> /usr/share/emacs/site-lisp/haskell-mode/haskell-font-lock hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-font-lock
> /usr/share/emacs/site-lisp/haskell-mode/haskell-doc hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-doc
> /usr/share/emacs/site-lisp/haskell-mode/haskell-decl-scan hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-decl-scan
> /usr/share/emacs/site-lisp/haskell-mode/haskell-cabal hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-cabal
> /usr/share/emacs/site-lisp/haskell-mode/haskell-c hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-c
> /usr/share/emacs/23.2/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
> /usr/share/emacs/23.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
> /usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.2/lisp/textmodes/flyspell
> /usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.2/lisp/textmodes/ispell
>
> Features:
> (shadow sort mail-extr emacsbug newcomment vc-dispatcher vc-darcs cl
> cl-19 xml parse-time timezone nndraft nnmh auth-source gnus-agent
> gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art image mm-uu
> mml2015 epg-config mm-view smime dig nntp gnus-cache gnus-sum nnoo
> gnus-group gnus-undo nnmail mail-source format-spec gnus-start gnus-spec
> gnus-int gnus-range message sendmail regexp-opt ecomplete rfc822 mml
> easymenu mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
> mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev gmm-utils
> mailheader canlock sha1 hex-util hashcash gnus-win gnus gnus-ems
> nnheader gnus-util netrc time-date mail-utils mm-util mail-prsvr
> wid-edit server jka-compr edmacro kmacro xt-mouse ido savehist icomplete
> complete paren delsel saveplace debian-el debian-el-loaddefs w3m-load
> emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
> dpkg-dev-el dpkg-dev-el-loaddefs ediff-hook vc-hooks lisp-float-type
> lisp-mode register page menu-bar rfn-eshadow timer select mldrag mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> loaddefs button minibuffer faces cus-face files text-properties overlay
> md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> multi-tty emacs)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 11 Apr 2012 10:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 11 06:58:12 2012
Received: from localhost ([127.0.0.1]:50406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SHvFc-0003HK-37
	for submit <at> debbugs.gnu.org; Wed, 11 Apr 2012 06:58:12 -0400
Received: from mail-pz0-f42.google.com ([209.85.210.42]:45911)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <trentbuck@HIDDEN>) id 1SHvFZ-0003HD-RZ
	for 6685 <at> debbugs.gnu.org; Wed, 11 Apr 2012 06:58:10 -0400
Received: by dang27 with SMTP id g27so1293443dan.29
	for <6685 <at> debbugs.gnu.org>; Wed, 11 Apr 2012 03:57:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=date:from:to:cc:subject:message-id:references:mime-version
	:content-type:content-disposition:in-reply-to:user-agent;
	bh=KWwD2/6OhqN9x6v8SquHgjpozEIwsGRSHEd6aAlM7MU=;
	b=bF/rRkY0PdrWCrn72vteFq1RcDWENbyKhRCXvSzfktQ5vAzYWzCS/ZPM+PYr/RNisP
	PBTZq5b9x1950EJ2xUx9qKpCYt5EBVGsXaeQHqkDUhrBMN0Gt/2FCRdJHq8UW+eTQfD2
	pR2gg5XvR9yzWSSMH/tLmLqAUR07qsCbAvB1nW5HhfUuXiMUGJpY5NT52ZJUl2TyrAP8
	kuWwIuCPT/B53eiSFiRhVW4yqJZLk3BFDp4CSA70xTCIaKoGjz1twehStoBYBQq11DzU
	DTmFGozr5wACtAPJ7+cvEmK5AyPKh00g3taickVrFHCVJFFogBe1tjySkYneHiG9sG+1
	Zz9g==
Received: by 10.68.200.5 with SMTP id jo5mr37929481pbc.42.1334141822609;
	Wed, 11 Apr 2012 03:57:02 -0700 (PDT)
Received: from elba (ppp118-209-240-125.lns20.mel6.internode.on.net.
	[118.209.240.125])
	by mx.google.com with ESMTPS id r6sm2587375pbl.24.2012.04.11.03.56.59
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 11 Apr 2012 03:57:01 -0700 (PDT)
Date: Wed, 11 Apr 2012 20:56:52 +1000
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
Message-ID: <20120411105650.GA19872@elba>
References: <87bpa160pk.fsf@HIDDEN>
 <87pqbevghy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87pqbevghy.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 6685
Cc: 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Chong Yidong wrote:
> trentbuck@HIDDEN (Trent W. Buck) writes:
> 
> > I start emacs with a wrapper script which boils down to
> >
> >     ALTERNATIVE_EDITOR="" emacsclient -c -t
> >
> > In the past (23.1 or so), I could start emacs that way, and while the
> > daemon was loading in the background, I could type
> >
> >     M-x irc C-m M-x gnus C-m
> >
> > and when the daemon finished loading, the IRC and GNUS functions would
> > run.  Now, what happens is that I get
> >
> >     xircxgnus
> >
> > appended to *scratch*.  It seems pretty clear to me that Emacs has
> > started discarding control characters (^[ and ^M in my case).
> 
> As far as I can tell, this old bug was fixed by the introduction of
> xterm-extra-capabilities (set it to nil to avoid discarding
> pre-terminal-initialization input).

That appears to be defined in lisp/term/xterm.el, so it will only be
loaded when TERM=xterm.  Currently this is not the case for me;
TERM=screen and outside that TERM=linux (I am on the kernel fbcon).
I believe that was also the case when I reported the original bug.

(I have not actually tested this yet, as that variable is not
available in the 23.3 I have to hand just now.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.
bug closed, send any further explanations to 6685 <at> debbugs.gnu.org and trentbuck@HIDDEN (Trent W. Buck) Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6685 <at> debbugs.gnu.org:


Received: (at 6685) by debbugs.gnu.org; 11 Apr 2012 08:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 11 04:08:39 2012
Received: from localhost ([127.0.0.1]:50301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SHsbX-00069x-E4
	for submit <at> debbugs.gnu.org; Wed, 11 Apr 2012 04:08:39 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:56534)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1SHsbV-00069q-As
	for 6685 <at> debbugs.gnu.org; Wed, 11 Apr 2012 04:08:38 -0400
Received: from [155.69.16.95] (port=49813 helo=ulysses)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <cyd@HIDDEN>)
	id 1SHsaP-0008Gg-ME; Wed, 11 Apr 2012 04:07:30 -0400
From: Chong Yidong <cyd@HIDDEN>
To: trentbuck@HIDDEN (Trent W. Buck)
Subject: Re: bug#6685: 23.2; Discards control characters during boot.
References: <87bpa160pk.fsf@HIDDEN>
Date: Wed, 11 Apr 2012 16:07:21 +0800
In-Reply-To: <87bpa160pk.fsf@HIDDEN> (Trent W. Buck's message of "Wed, 21
	Jul 2010 12:13:59 +1000")
Message-ID: <87pqbevghy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.95 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 6685
Cc: 6685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

trentbuck@HIDDEN (Trent W. Buck) writes:

> I start emacs with a wrapper script which boils down to
>
>     ALTERNATIVE_EDITOR="" emacsclient -c -t
>
> In the past (23.1 or so), I could start emacs that way, and while the
> daemon was loading in the background, I could type
>
>     M-x irc C-m M-x gnus C-m
>
> and when the daemon finished loading, the IRC and GNUS functions would
> run.  Now, what happens is that I get
>
>     xircxgnus
>
> appended to *scratch*.  It seems pretty clear to me that Emacs has
> started discarding control characters (^[ and ^M in my case).

As far as I can tell, this old bug was fixed by the introduction of
xterm-extra-capabilities (set it to nil to avoid discarding
pre-terminal-initialization input).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jul 2010 02:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 20 22:17:45 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ObOsT-0007TQ-FH
	for submit <at> debbugs.gnu.org; Tue, 20 Jul 2010 22:17:45 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <trentbuck@HIDDEN>) id 1ObOsK-0007Su-IZ
	for submit <at> debbugs.gnu.org; Tue, 20 Jul 2010 22:17:43 -0400
Received: from lists.gnu.org ([199.232.76.165]:57327)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <trentbuck@HIDDEN>) id 1ObOrB-0005Gb-3M
	for submit <at> debbugs.gnu.org; Tue, 20 Jul 2010 22:16:25 -0400
Received: from [140.186.70.92] (port=46766 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1ObOp8-0002GA-BC
	for bug-gnu-emacs@HIDDEN; Tue, 20 Jul 2010 22:16:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <trentbuck@HIDDEN>) id 1ObOow-0004Nu-Q2
	for bug-gnu-emacs@HIDDEN; Tue, 20 Jul 2010 22:14:08 -0400
Received: from mail-pv0-f169.google.com ([74.125.83.169]:59859)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <trentbuck@HIDDEN>) id 1ObOow-0004NQ-Hu
	for bug-gnu-emacs@HIDDEN; Tue, 20 Jul 2010 22:14:06 -0400
Received: by pvc30 with SMTP id 30so5833321pvc.0
	for <bug-gnu-emacs@HIDDEN>; Tue, 20 Jul 2010 19:14:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:message-id:mime-version:content-type;
	bh=iCnXq9lnmJAEmkqKI6rF8qVxtU8KuElZb6A53nzjXiw=;
	b=DsrVljF/fiqZxwJNtS/dDYSat8SnFf9vwpQYfyo4CASGsMiPfBQTiM5B0o6isRvPf2
	k20xmAiYu4H7UBh6FcD81H0NAOkwfZ0iv2mi+2sKnOkuKYAxa7wSsxvweq/UNKUJMm0t
	FZ1u/dmhkeze5z1QOTUXNc3ivqqB4xzdU4VrI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:message-id:mime-version:content-type;
	b=eK6ezL0r4AlmNeqWQkO9a7KrbfnbeslGnUnWzQ56U21jetsXoIR24KC6wgJBeJR7Hj
	K0699R+GYWrHHirRXd8zJMhvnkn16lCladbi1SIzmad6AUPnCQ3THqTchS7y6OBlC4HB
	oUw+YPDSDs++Yeu9AhQPk9G3+8pZ2EnKXbcmQ=
Received: by 10.142.140.16 with SMTP id n16mr1701745wfd.1.1279678445262;
	Tue, 20 Jul 2010 19:14:05 -0700 (PDT)
Received: from localhost (nat064.cyber.com.au [203.7.155.64])
	by mx.google.com with ESMTPS id v38sm8472548wfh.12.2010.07.20.19.14.02
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Tue, 20 Jul 2010 19:14:04 -0700 (PDT)
From: trentbuck@HIDDEN (Trent W. Buck)
To: bug-gnu-emacs@HIDDEN
Subject: 23.2; Discards control characters during boot.
Date: Wed, 21 Jul 2010 12:13:59 +1000
Message-ID: <87bpa160pk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

I start emacs with a wrapper script which boils down to

    ALTERNATIVE_EDITOR="" emacsclient -c -t

In the past (23.1 or so), I could start emacs that way, and while the
daemon was loading in the background, I could type

    M-x irc C-m M-x gnus C-m

and when the daemon finished loading, the IRC and GNUS functions would
run.  Now, what happens is that I get

    xircxgnus

appended to *scratch*.  It seems pretty clear to me that Emacs has
started discarding control characters (^[ and ^M in my case).

If this change was an attempt to fix a bug, it has actually fixed a
feature (for me), since I now have to wait a couple of seconds for the
frame to render before I can reliably start issuing commands.

Note: I haven't reproduce this with --quick, because that starts too
fast and in any case I don't know how to make emacsclient -A='' pass -Q
to it's internal emacs --daemon invocation.

In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu)
 of 2010-05-16 on barber, modified by Debian
configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.2/leim' '--with-x=no' '--without-gconf' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  xterm-mouse-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
t SPC w h e r e SPC ESC q SPC ESC O A e ESC O B ESC 
q SPC s t a g e 1 SPC c a n ' t SPC f i n d SPC s t 
a g e 2 . ESC b ESC b ESC b ( DEL ESC [ 4 ~ SPC SPC 
S i g h . ESC O C ESC O B C-@ ESC O B ESC O B ESC O 
B ESC O B ESC O B ESC O B ESC O B C-w C-@ ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O A C-w C-@ ESC O B 
ESC O B ESC O B ESC O B C-g C-_ C-x C-x C-x C-x C-w 
C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B C-x C-x ESC O A C-w 
DEL C-x C-s RET RET ESC O B ESC O B DEL DEL DEL C-x 
C-s ESC < ESC % SPC > RET > RET ! ESC O B DEL ESC O 
A ESC O A ESC O A ESC O A ESC O A ESC [ 1 ~ RET ESC 
q ESC O A C-d ESC > C-x C-s C-x C-s ESC O A ESC q C-x 
C-s C-x C-c q y ESC x r e p o r t SPC e m a c s SPC 
b u g RET

Recent messages:
Mark set [2 times]
Replaced 5 occurrences
Mark set
Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
(No changes need to be saved)
Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
Are you sure you want to quit reading news? (y or n) 
(No changes need to be saved)

Load-path shadows:
/usr/share/emacs/site-lisp/haskell-mode/inf-haskell hides /usr/share/emacs/23.2/site-lisp/haskell-mode/inf-haskell
/usr/share/emacs/site-lisp/haskell-mode/haskell-site-file hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-site-file
/usr/share/emacs/site-lisp/haskell-mode/haskell-simple-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-simple-indent
/usr/share/emacs/site-lisp/haskell-mode/haskell-mode hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-mode
/usr/share/emacs/site-lisp/haskell-mode/haskell-indentation hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indentation
/usr/share/emacs/site-lisp/haskell-mode/haskell-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indent
/usr/share/emacs/site-lisp/haskell-mode/haskell-hugs hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-hugs
/usr/share/emacs/site-lisp/haskell-mode/haskell-ghci hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-ghci
/usr/share/emacs/site-lisp/haskell-mode/haskell-font-lock hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-font-lock
/usr/share/emacs/site-lisp/haskell-mode/haskell-doc hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-doc
/usr/share/emacs/site-lisp/haskell-mode/haskell-decl-scan hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-decl-scan
/usr/share/emacs/site-lisp/haskell-mode/haskell-cabal hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-cabal
/usr/share/emacs/site-lisp/haskell-mode/haskell-c hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-c
/usr/share/emacs/23.2/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
/usr/share/emacs/23.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.2/lisp/textmodes/flyspell
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.2/lisp/textmodes/ispell

Features:
(shadow sort mail-extr emacsbug newcomment vc-dispatcher vc-darcs cl
cl-19 xml parse-time timezone nndraft nnmh auth-source gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art image mm-uu
mml2015 epg-config mm-view smime dig nntp gnus-cache gnus-sum nnoo
gnus-group gnus-undo nnmail mail-source format-spec gnus-start gnus-spec
gnus-int gnus-range message sendmail regexp-opt ecomplete rfc822 mml
easymenu mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev gmm-utils
mailheader canlock sha1 hex-util hashcash gnus-win gnus gnus-ems
nnheader gnus-util netrc time-date mail-utils mm-util mail-prsvr
wid-edit server jka-compr edmacro kmacro xt-mouse ido savehist icomplete
complete paren delsel saveplace debian-el debian-el-loaddefs w3m-load
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
dpkg-dev-el dpkg-dev-el-loaddefs ediff-hook vc-hooks lisp-float-type
lisp-mode register page menu-bar rfn-eshadow timer select mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
multi-tty emacs)




Acknowledgement sent to trentbuck@HIDDEN (Trent W. Buck):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6685; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.